> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get subscription

> Retrieve the subscription details for the account.



## OpenAPI

````yaml get /accounts/subscriptions
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /accounts/subscriptions:
    get:
      tags:
        - Account Subscriptions
      description: Retrieve the subscription details for the account.
      parameters:
        - $ref: '#/components/parameters/account_id'
      responses:
        '200':
          description: Subscription details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountSubscription'
        '400':
          description: Bad request
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    AccountSubscription:
      type: object
      description: Represents an account subscription.
      properties:
        account_id:
          type: string
          description: The unique identifier for the account.
        stripe_customer_id:
          type: string
          description: The Stripe customer ID associated with the account.
        status:
          type: string
          description: The current status of the subscription.
        licenses:
          type: integer
          description: The number of licenses associated with the subscription.
        frequency:
          type: string
          enum:
            - yearly
            - monthly
          description: The billing frequency of the subscription.
        contact:
          type: string
          description: The contact information for the subscription.
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````